camlimages (1:5.0.5-2+ocaml1) trixie-backports-ocaml; urgency=medium

  * Rebuild for transition ocaml-5.4.0

 -- Anonymous Builder <builder@example.org>  Tue, 06 Jan 2026 04:07:29 +0100

camlimages (1:5.0.5-2) unstable; urgency=medium

  * Team upload
  * Fix build with base >= 0.17.0 (Closes: #1081706)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 17 Sep 2024 03:57:25 +0200

camlimages (1:5.0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1073873)
  * Compile stubs with -fPIC to fix linking error
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2024 16:26:30 +0200

camlimages (1:5.0.4-4) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:26:41 +0200

camlimages (1:5.0.4-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1040999)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 09:29:46 +0200

camlimages (1:5.0.4-2) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints. + libcamlimages-ocaml-doc: Add Multi-Arch: foreign.
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Fix day-of-week for changelog entry 2.12-4.
  * Update standards version to 4.6.1, no changes needed.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 13:50:37 +0200

camlimages (1:5.0.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Nov 2020 10:05:39 +0100

camlimages (1:5.0.3-2) unstable; urgency=medium

  * Team upload
  * Add ocaml-findlib and libgraphics-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2020 07:23:03 +0200

camlimages (1:5.0.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

  [ Kyle Robbertze ]
  * Update uploader email

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Aug 2020 07:51:44 +0200

camlimages (1:4.2.6-5) unstable; urgency=high

  * Team upload
  * Force rebuild of all packages on buildds

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 11:31:53 +0200

camlimages (1:4.2.6-4) unstable; urgency=medium

  * Depend on libexif-dev (Closes: #921790)

 -- Kyle Robbertze <krobbertze@gmail.com>  Sun, 17 Feb 2019 17:38:56 +0200

camlimages (1:4.2.6-3) unstable; urgency=medium

  * Drop lablgtk2 support
  * Fix build on bytecode architectures (Closes: #918247)

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 21 Jan 2019 12:38:49 +0200

camlimages (1:4.2.6-2) unstable; urgency=medium

  * Fix bytecode compilation (Closes: #918247)

 -- Kyle Robbertze <krobbertze@gmail.com>  Fri, 04 Jan 2019 22:37:37 +0200

camlimages (1:4.2.6-1) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control
    - Move Vcs-* to salsa.debian.org
    - Add "Build-Depends: pkg-config" to detect freetype (Closes: #887601)
    - Add "Build-Depends: libexif-dev"
    - Use "Build-Depends: debhelper-compat", instead of debian/compat file
    - Set Standards-Version: 4.3.0
  * debian/patches
    - Add 0002-Use-pkg-config-to-detect-freetype.patch
    - Add 0003-drop-Check_header_library-for-freetype.patch
  * Update debian/watch to detect upstream version correctly

  [ Kyle Robbertze ]
  * New upstream version 4.2.6
  * Drop unsupported html doc
  * Add new uploader

 -- Kyle Robbertze <krobbertze@gmail.com>  Wed, 02 Jan 2019 13:31:37 +0200

camlimages (1:4.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev to libpng-dev, to ease libpng transition.
    Closes: #816102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Mar 2016 16:08:30 +0100

camlimages (1:4.2.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - Disable "liv" example
  * Update debian/watch
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Oct 2015 13:52:05 +0200

camlimages (1:4.0.1-8) unstable; urgency=low

  * Team upload
  * Depend on libtiff-dev

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 May 2013 14:45:38 +0200

camlimages (1:4.0.1-7) unstable; urgency=low

  * Team upload
  * Depend on libtiff4-dev. That transition is not ready.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 May 2013 14:26:10 +0200

camlimages (1:4.0.1-6) unstable; urgency=low

  * Also bump build-dep on libtiff to libtiff5-dev
    in libcamlimages-ocaml-dev.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 15 May 2013 07:02:39 -0500

camlimages (1:4.0.1-5) unstable; urgency=low

  [ Stéphane Glondu ]
  * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662281)

  [ Romain Beauxis ]
  * Build-depend on libtiff5-dev instead of libtiff4-dev
  * Patched src/META.in file to remove mention
    of non-existant camlimages.cm{a,xa}
  Closes: #636167:
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 20:28:42 -0500

camlimages (1:4.0.1-4) unstable; urgency=low

  * Team upload.
  * Patched sources to replace Sort.list (deprecated)
    by List.sort. Sort.list was causing troubles when
    dynamically loading camlimages.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 17 Oct 2011 00:04:16 +0200

camlimages (1:4.0.1-3) unstable; urgency=low

  * Team upload
  * Depends on libjpeg-dev instead of libjpeg62-dev (Closes: #633646)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 15:19:42 +0200

camlimages (1:4.0.1-2) unstable; urgency=low

  * Team upload
  * Fix compilation on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 03 Jul 2011 15:57:28 +0200

camlimages (1:4.0.1-1) unstable; urgency=low

  * Team upload

  [ Stéphane Glondu ]
  * New upstream release (Closes: #604636, #631852)
    - remove patches:
      + Integer-Overflows-tiffread.c applied upstream
      + other patches obsoleted by new upstream build system
    - add patch to fix building of mixed bytecode libraries
  * debian/control:
    - remove Stefano from Uploaders
    - use libjpeg-dev in Build-Depends (Closes: #629959)
    - bump Standards-Version to 3.9.2
  * Rewrite debian/rules using dh with overrides
  * Bump debhelper compatibility level to 8
  * Update watch file

  [ Sylvain Le Gall ]
  * Switch to dpkg-source 3.0 (quilt) format

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Jul 2011 20:22:34 +0200

camlimages (1:3.0.1-5) unstable; urgency=low

  * Add a patch to fix integer overflows in tiffread.c
    Fixes: CVE-2009-3296

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 01 Nov 2009 14:04:33 +0100

camlimages (1:3.0.1-4) unstable; urgency=low

  * Update e-mail address
  * Use dh_ocamldoc to generate and install the documentation
    (Closes: #549763)
  * Reorder inclusions in debian/rules to workaround a CDBS bug.
  * Bump standards to 3.8.3
  * Use new features of dh-ocaml (>= 0.9)
  * Tighten build-dependencies on lablgtk2 and findlib
  * Fix duplicate-short-description

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 06 Oct 2009 17:09:31 +0200

camlimages (1:3.0.1-3) unstable; urgency=low

  * Add a patch fix_more_integer_overflows to fix security issues,
   (Closes: 540146)
   Fixes: CVE-2009-2660

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 07 Aug 2009 23:56:55 +0200

camlimages (1:3.0.1-2) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Fix missing comma in control file, Closes: #535675.
  * Move library packages to ocaml section.
  * Get rid of usage of old OCaml's stdlib location, fixes FTBFS.
  * Add versioned dependencies to ocaml-findlib and lablgtk2 to ease
    OCaml 3.11.1 transition.
  * Bump standards to 3.8.2
  * Move documentation from the -dev package to the -doc one.
  * Add a patch fix_integer_overflows to fix security issue (CVE-2009-2295)

  [ Sylvain Le Gall ]
  * Use a unique ID foreach document managed by doc-base

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Thu, 02 Jul 2009 11:39:30 +0200

camlimages (1:3.0.1-1) unstable; urgency=low

  [ Ralf Treinen ]
  * Updated debian/watch.

  [ Sylvain Le Gall ]
  * New upstream version:
    * Remove useless patches
    * Adapt debian/rules and other debhelper files
    * Add debian/patches/fix_3_0_1 to fix various problem (probably due to
      OCaml 3.11 migration)
  * Depends on version 2.12 of lablgtk2
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Add ${misc:Depends} to dependencies
  * Update Homepage field into debian/control and debian/copyright
  * Add license version for debian packaging
  * Directly use eng.html rather than creating a linked index.html file

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 00:19:32 +0100

camlimages (1:2.2.0-4) unstable; urgency=low

  * Update copyright file to something more compliant with
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Change Objective CAML for OCaml in debian/control
  * Add *-dev dependency back, in fact they are used (Closes: #489085)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 03 Jul 2008 16:33:16 +0200

camlimages (1:2.2.0-3) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Sylvain Le Gall ]
  * Switch to libgif-dev (Closes: #486874)
  * Remove useless debian/control.in
  * Upgrade Standard-Version to 3.8.0 and drop dpkg-dev versionned
    depends
  * Add Homepage field
  * Narrow Uploaders field to only people that have done something on
    the package
  * Enhance description, using list
  * Update META.camlimages (Closes: #404412, #404393, #404395)
  * Add README.source explaining to read dpatch manpage
  * Change build-depends on gs to ghostscript
  * Revamp debian/copyright
  * Remove useless *-dev dependency on C library, they are useless

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 23 Jun 2008 00:17:32 +0200

camlimages (1:2.2.0-2) unstable; urgency=low

  * Build for ocaml 3.10.0
  * Generate ocamldoc API documentation
  * Use OCAML_DLL_DIR/OCamlDllDir

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:26:44 +0200

camlimages (1:2.2.0-1) experimental; urgency=low

  * Change email address to gildor@debian.org everywhere
  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,
  * Replace dependency Source-Version by binary:Version,
  * Use CDBS for debian/rules,
  * Use @OCamlTeam@ for Uploaders field in debian/control.in,
  * Add versioned Build-Depends on dpkg-dev (>= 1.13.19),
  * Add an epoch to reflect the change in the upstream
    numbering scheme and update debian/watch file accordingly,
  * Rebuild for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 24 Jul 2007 01:07:51 +0200

camlimages (2.20-8) unstable; urgency=low

  * Change my email address to gildor@debian.org,
  * Set me as only uploaders,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),
  * Hijack the package, with the permission of the
    Debian OCaml Maintainer group,

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 13 Jun 2006 19:09:31 +0200

camlimages (2.20-7) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  7 Feb 2006 00:29:48 +0100

camlimages (2.20-6) unstable; urgency=low

  * Remove any dependencies to liblablgtk-ocaml

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  6 Dec 2005 22:20:31 +0100

camlimages (2.20-5) unstable; urgency=low

  * Remove direct reference to ocaml library dir
  * Remove dependency to lablgtk, only support lablgtk2
  * Upgrade to standard version 3.6.2.0 (no change)
  * Remove hardcoded ocaml ABI version
  * Patch tiff/tiffread.c to remove reference to uint16

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 01:30:19 +0100

camlimages (2.20-4) unstable; urgency=low

  * Transition to svn-buildpackage

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 22 Aug 2005 23:48:19 +0200

camlimages (2.20-3) unstable; urgency=medium

  * Transition to ocaml 3.08.3 : depends on ocaml-3.08.3

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 30 Mar 2005 22:55:04 +0200

camlimages (2.20-2) unstable; urgency=low

  * Rebuild for binary compatibility with ocaml 3.08.2

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sun, 12 Dec 2004 12:10:46 +0100

camlimages (2.20-1) unstable; urgency=low

  * Fixed FTBFS caused by upstream forgetting that not every arch out there
    has a native code compiler :/

 -- Sven Luther <luther@debian.org>  Fri, 22 Oct 2004 15:53:42 +0200

camlimages (2.20-0) unstable; urgency=low

  * New upstream release. Previous seemed to be 2.1.2 or something such, and
    new is 2.2, so i changed the version number to 2.20 to not introduce an
    epoch. (Closes: #274819)
  * The Image module has been renamed to Images to avoid conflict with other
    ocaml libraries. Software using camlimages need thus to be adapted, but
    this is a trivial change.
    Build-depend on libcamlimages-ocaml-dev (>= 2.20-0) is recomended for
    debian packages though.

 -- Sven Luther <luther@debian.org>  Thu, 21 Oct 2004 10:01:03 +0200

camlimages (2.12-6) unstable; urgency=low

  * Fixed dependencies for libtiff4

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Fri, 30 Jul 2004 01:03:37 +0200

camlimages (2.12-5) unstable; urgency=low

  * Typo in control ( rpath doesn't exists )

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Thu, 29 Jul 2004 01:42:10 +0200

camlimages (2.12-4) unstable; urgency=low

  * Rebuilt for ocaml 3.08. File modified :
    - control ( ocaml-3.07 -> ocaml-3.08 )
    - libcamlimages-ocaml-dev.dirs ( 3.07 -> 3.08 )
    - libcamlimages-ocaml-dev.files ( 3.07 -> 3.08 )
    - libcamlimages-ocaml.dirs ( 3.07 -> 3.08 )

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Tue, 27 Jul 2004 23:44:56 +0200

camlimages (2.12-2) unstable; urgency=low

  * Fix dependency on xlibs-dev : xlibs-dev package is a transition
    package, now depend on libxpm-dev

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Fri, 21 May 2004 21:43:56 +0200

camlimages (2.12-1) unstable; urgency=low

  * New upstream release
  * Stop using 01_fix_freetype_build.dpatch since it is applied upstream
  * Stop using 02_fix_lablgtk2_build.dpatch since upstream fork a lablgtk2
    support
  * Build for both lablgtk and lablgtk2
  * Reworked META files and move it to METAS/ :
      - use camlimages.graphics for graphics support
      - use camlimages.lablgtk for lablgtk support
      - use camlimages.lablgtk2 for lablgtk2 support

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Thu,  6 May 2004 00:59:17 +0200

camlimages (2.11-6) unstable; urgency=low

  * Forget to remove the depends on libpng10-dev

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Wed, 14 Jan 2004 20:53:40 +0100

camlimages (2.11-5) unstable; urgency=low

  * Added watch to ease the maintainer task
  * Use dpatch :
    - dependency on dpatch
    - set dependency in rules : clean to unpatch, configure-stamp to
    patch-stamp, build-stamp to patch-stamp
    - add dir debian/patches
    - add file debian/patches/00list
  * Fix the freetype inclusion bug by changing the way it is included in
    freetyp2/ftintf.c ( closes: #227319 )
  * Fix the lablgtk2 build by using [>`drawable] Gobject.object instead of
    Gdk.drawable
  * Fix installation problem which need to write ld.conf ( simply remove this
    part in makefile )
  * Move to DESTDIR makefile variable to install in the good directory
  * Give up using debian/tmp. Directly install in
    debian/libcamlimages-ocaml-dev and then moves things around
  * Move to standard version 3.6.1
  * Depend on chrpath to remove the rpath in *.so
  * Use dh_link to create link
  * Stop using "-ln -s", because it creates things in the source... Better
    user "cp".. ( this not a real improvement )
  * Build depends ( and consequently depends ) on libpng12-0-dev
  * Set Maintainer to Debian Ocaml Task Force and uploaders to members of this
    team

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Thu,  8 Jan 2004 17:19:14 +0100

camlimages (2.11-4) unstable; urgency=low

  * Rebuilt with ocaml-3.07
  * Changed png dependencies to libpng10{,-dev}; they should be the
    right one according to libpng README.Debian
  * Added deps on ocaml-findlib (used now in debian/rules to guess
    lablgtk installation dir)
  * Added debian/compat in place of old DH_COMPAT Makefile variable

 -- Stefano Zacchiroli <zack@debian.org>  Fri,  3 Oct 2003 13:41:29 +0200

camlimages (2.11-3) unstable; urgency=low

  * Removed unnecessary rpath to /usr/local/lib, thanks to Remi Vanicat
    (Closes: Bug#189280)
  * Bumped Standards-Version to 3.5.9
  * Changed section of libcamlimages-ocaml-dev package to new section
    libdevel

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Apr 2003 15:54:07 +0200

camlimages (2.11-2) unstable; urgency=low

  * Maintainer upload (BTW, thanks Sven for the NMU)
  * Fallback to libpng2 both for dependencies and build dependencies
    (Closes: Bug#182270)
  * Fallback to lablgtk 1.2.5
  * Added deps on lablgtk for binary packages
  * Moved creation of -doc package in binary-indep debian/rules target
  	(Closes: Bug#182093)
  * findlib's META file
    - bumped version to 2.11 in META
    - added predicate "ci_lablgtk" to link in ci_lablgtk.cm{,x}a
    - added dependency on findlib's lablgtk package

 -- Stefano Zacchiroli <zack@debian.org>  Fri,  7 Mar 2003 17:07:26 +0100

camlimages (2.11-1.1) unstable; urgency=low

  * Rebuilt with lablgtk2 and libpng12-0.
    NMU with the maintainers authorization.

 -- Sven Luther <luther@debian.org>  Thu, 13 Feb 2003 17:45:49 +0100

camlimages (2.11-1) unstable; urgency=low

  * New upstream release
  * Fine grained build dependency on liblablgtk-ocaml-dev

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 24 Jan 2003 20:36:16 +0100

camlimages (2.10-5) unstable; urgency=low

  * Libdir transition to /usr/lib/ocaml/3.06
  * Changed depends and build depends to ocaml{,-base}-3.06-1
  * Bumpder Standards-Version to 3.5.8
  * Applied patch from Remi Vanicat to avoid build failure against
    /usr/include/tiff.h

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Dec 2002 14:30:22 +0100

camlimages (2.10-4) unstable; urgency=low

  * Better test for ocamlopt presence
  * Rebuilt with 'correct' md5sum

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 19 Sep 2002 17:20:55 +0200

camlimages (2.10-3) unstable; urgency=low

  * Rebuilt against ocaml-3.06 (Closes: Bug#158258, Bug#158271)
  * Build depends on libpng3-dev instead of libpng-dev (Closes: Bug#154229)
  * Changed deps and build-deps to ocaml-3.06 and ocaml-base-3.06 as
    mandated by the new ocaml packaging policy
  * Removed mention of old package "camlimages" from debian/control
  * Removed debian patch for disappeared label "image" in Gdk.Draw.image
    from lablgtk
  * Bumped build-deps on liblablgtk-ocaml-dev to >= 1.2.5

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 27 Aug 2002 08:23:33 +0200

camlimages (2.10-2) unstable; urgency=low

  * Moved shared objects in /usr/lib/ocaml/stublibs
  * Switched to debhelper 4
  * Commented out dh_ocamlld, no longer needed

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  7 Jul 2002 14:52:11 +0200

camlimages (2.10-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  2 Jun 2002 17:24:46 +0200

camlimages (2.00-3) unstable; urgency=low

  * Versioned conflict on camlimages.
  * Fixed build-depends for the renaming of lablgtk package
    liblablgtk-ocaml-dev

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 25 Feb 2002 17:57:25 +0100

camlimages (2.00-2) unstable; urgency=low

  * Split runtime and development parts of the library.
  * Changed packages names according to the debian ocaml policy draft posted
    on the debian-ocaml-maint ML.
  * Split -doc package.
  * Some aesthetical changes in debian/rules.

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 25 Feb 2002 16:05:10 +0100

camlimages (2.00-1) unstable; urgency=low

  * Initial Release (Closes: Bug#128831)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 11 Jan 2002 23:56:25 +0100
